[Mailman-Users] Failed Exec: wanted one GID, got another

Brian Cohen brian at acm.jhu.edu
Tue Feb 13 05:15:53 CET 2001


I was running mailman-2.0beta2 and it was working okay but I decided to
upgrade to mailman-2.0.1 and thats when the trouble started.  I configured
the new version with the exact same ./configure options as with the older
version (I lifted it from config.status), which is as follows:

with-mail-gid=mailman  ('mailman' is gid 12343)
with-cgi-gid=nobody   ('nobody' is gid 32767, and is the user my Apache
runs as.)

along with prefix and the location of python.  Now, however, when I try to
post to the test list I created, the message causes the following error:

<test at sandworm.intercarve.net>: Command died with status 2:
    "/usr/local/mailman/mail/wrapper post test". Command output: Failure
to exec script. WANTED gid 12343, GOT gid 32767.  (Reconfigure to take

I've seen this problem posted before, but I can't seem to nail this
down. What's going on?

My MTA is Postfix and my OS is OpenBSD 2.7.

Thanks in advance,


More information about the Mailman-Users mailing list